SpecialEvent struct Reference (libkmid Library)

| # libkmid Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# SpecialEvent Struct Reference

This struct stores text, lyrics and change tempo events among others. Struct used to store certain events. More...

`#include <player.h>`

Collaboration diagram for SpecialEvent:

[legend]
List of all members.

## Public Attributes
int | id
| An integer ID, that is assigned in order to each SpecialEvent.
ulong | diffmilliseconds
| Delta milliseconds from the previous SpecialEvent.
ulong | absmilliseconds
| The absolute millisecond (from the beginning of the song) at which this SpecialEvent object is played.
int | ticks
| MIDI ticks (from the beginning of the song) at which this event is played.
int | type
| Type of event.
char | text [1024]
| Text field .
ulong | tempo
| Tempo field .
int | num
| Numerator .
int | den
| Denominator .
SpecialEvent * | next
| This struct stores text, lyrics and change tempo events among others.

## Detailed Description

This struct stores text, lyrics and change tempo events among others. Struct used to store certain events.

It includes the main information for an event. That is, the absolute millisecond at which this event is played (from the beginning of the song), the delta milliseconds from the previous SpecialEvent, an ID, etc.

This struct is used as nodes for a linked list, which you can get using MidiPlayer::specialEvents().

Version:
  0.9.5 17/01/2000

Author:
  Antonio Larrosa Jimenez <larrosa@kde.org>

Definition at line 47 of file player.h.

## Member Data Documentation

int SpecialEvent::id

| An integer ID, that is assigned in order to each SpecialEvent. Definition at line 52 of file player.h.

ulong SpecialEvent::diffmilliseconds

| Delta milliseconds from the previous SpecialEvent. See also: absmilliseconds Definition at line 59 of file player.h.

ulong SpecialEvent::absmilliseconds

| The absolute millisecond (from the beginning of the song) at which this SpecialEvent object is played. See also: diffmilliseconds Definition at line 67 of file player.h.

int SpecialEvent::ticks

| MIDI ticks (from the beginning of the song) at which this event is played. Definition at line 72 of file player.h.

int SpecialEvent::type

| Type of event. This currently includes: 0 - Nothing, end of linked list. 1 - Text Event . See text. 3 - Change Tempo Event . See tempo. 5 - Lyrics Event . See text. 6 - Change number of beats per measure . See num and den. 7 - Beat . See num and den. The "Change number of beats per measure" and "beat" events are not really in the midi file, but they are added to the linked list in case you have an use for it. Definition at line 88 of file player.h.

char SpecialEvent::text[1024]

| Text field . It has a meaning only for Text and Lyrics events. Definition at line 93 of file player.h.

ulong SpecialEvent::tempo

| Tempo field . It has a meaning only for Change Tempo events. Definition at line 98 of file player.h.

int SpecialEvent::num

| Numerator . It has a meaning only for Change number of beats per measure and beat events. Definition at line 103 of file player.h.

int SpecialEvent::den

| Denominator . It has a meaning only for Change number of beats per measure and beat events. Definition at line 108 of file player.h.

struct SpecialEvent* SpecialEvent::next

| This struct stores text, lyrics and change tempo events among others. It includes the main information for an event. That is, the absolute millisecond at which this event is played (from the beginning of the song), the delta milliseconds from the previous SpecialEvent, an ID, etc. This struct is used as nodes for a linked list, which you can get using MidiPlayer::specialEvents(). Definition at line 120 of file player.h.

The documentation for this struct was generated from the following file:

- player.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:28:41 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001